%define name SoundStudio
%define version 0.9.1
%define release 2mdk

Summary: tk sound editor, with record, playback, and mixer facilities 
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
Copyright: GPL
Source: %{name}-%{version}.tar.bz2
URL: http://www.elec-eng.leeds.ac.uk/staff/een6njb/Software/Studio/screens.html
Source1: SoundStudio.wmconfig
Source2: studio.xpm
Patch0: SoundStudio.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot
Requires: tcl >= 7.4, tk >= 4.0, sox >= 11, /bin/more


%description
Sound Studio provides a graphical user interface for manipulating
digitised sound. It allows you to record, play and edit sound files
in various formats, such as Microsoft's wav files, Sun's audio files
(.au) and Creative Lab's .voc format.
It also provides access to a sound card's built-in mixer to adjust
recording levels and output volumes. Also Sound Studio provides you
with information about the sample and allows conversion into other
formats, sampling rates etc.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .patch

%build
./install

%install
rm -fr ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/wmconfig
mkdir -p ${RPM_BUILD_ROOT}/usr/share/icons/mini
install -m 755 -d ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m 755 -d ${RPM_BUILD_ROOT}/usr/bin
install -m 555 studio reset_dsp ${RPM_BUILD_ROOT}/usr/bin
install -m 555 maxmin studio_mixer studio_tool ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m 444 *.tk *.ico ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m 444 help1.hlp matra.wav test.au woof.wav ${RPM_BUILD_ROOT}/usr/lib/${RPM_PACKAGE_NAME}
install -m 644 $RPM_SOURCE_DIR/SoundStudio.wmconfig  $RPM_BUILD_ROOT/etc/X11/wmconfig/SoundStudio
install -m 644 $RPM_SOURCE_DIR/studio.xpm $RPM_BUILD_ROOT/usr/share/icons/mini/studio.xpm

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING README StudioHelp studio-${RPM_PACKAGE_VERSION}.lsm  DOCS/*
/usr/bin/*
/usr/lib/SoundStudio
%config /etc/X11/wmconfig/SoundStudio
/usr/share/icons/mini/studio.xpm

%changelog 
* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-2mdk
- fix group
- fix file list
- fix permission on sources

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- build for mandrake

* Sun May  9 1999 Peter Hanecak <hanecak@megaloman.sk>
- changes to allow non-root users to build too (%install)

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt package for 5.2, fixed RPM.

* Wed May 19 1998 Michael Maher <mike@redhat.com>
- built package
